CVE-2002-1170
CVSS5.0
发布时间 :2002-10-11 00:00:00
修订时间 :2016-10-17 22:24:20
NMCOS    

[原文]The handle_var_requests function in snmp_agent.c for the SNMP daemon in the Net-SNMP (formerly ucd-snmp) package 5.0.1 through 5.0.5 allows remote attackers to cause a denial of service (crash) via a NULL dereference.


[CNNVD]Net-SNMP字符串读取空指针服务拒绝漏洞(CNNVD-200210-274)

        Net-SNMP (以前为ucd-snmp)程序包5.0.1版本到5.0.5版本中SNMP守护程序的snmp_agent.c中的handle_var_requests函数存在漏洞。远程攻击者可以借助NULL解引用导致服务拒绝(崩溃)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:net-snmp:net-snmp:5.0.4_pre2
cpe:/a:net-snmp:net-snmp:5.0.3
cpe:/a:net-snmp:net-snmp:5.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1170
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1170
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-274
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=103359362020365&w=2
(UNKNOWN)  BUGTRAQ  20021002 iDEFENSE Security Advisory 10.02.2002: Net-SNMP DoS Vulnerability
http://sourceforge.net/forum/forum.php?forum_id=216532
(UNKNOWN)  CONFIRM  http://sourceforge.net/forum/forum.php?forum_id=216532
http://www.idefense.com/advisory/10.02.02.txt
(UNKNOWN)  MISC  http://www.idefense.com/advisory/10.02.02.txt
http://www.redhat.com/support/errata/RHSA-2002-228.html
(UNKNOWN)  REDHAT  RHSA-2002:228
http://www.securityfocus.com/bid/5862
(VENDOR_ADVISORY)  BID  5862
http://xforce.iss.net/xforce/xfdb/10250
(UNKNOWN)  XF  netsnmp-handlevarrequests-dos(10250)

- 漏洞信息

Net-SNMP字符串读取空指针服务拒绝漏洞
中危 设计错误
2002-10-11 00:00:00 2005-05-13 00:00:00
远程  
        Net-SNMP (以前为ucd-snmp)程序包5.0.1版本到5.0.5版本中SNMP守护程序的snmp_agent.c中的handle_var_requests函数存在漏洞。远程攻击者可以借助NULL解引用导致服务拒绝(崩溃)。

- 公告与补丁

        Users of Gentoo Linux are advised to upgrade using the following commands:
        emerge rsync
        emerge net-snmp
        emerge clean
        Fix available:
        Net-SNMP Net-SNMP 5.0.1
        
        Net-SNMP Net-SNMP 5.0.3
        
        Net-SNMP Net-SNMP 5.0.4 .pre2
        

- 漏洞信息

13454
Net-SNMP handle_var_requests() Malformed Packet DoS
Denial of Service
Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-10-02 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Net-SNMP String Read Null Pointer Denial Of Service Vulnerability
Design Error 5862
Yes No
2002-10-02 12:00:00 2009-07-11 05:06:00
Vulnerability discovery credited to Andrew Griffiths <andrewg@d2.net.au>.

- 受影响的程序版本

Net-SNMP Net-SNMP 5.0.4 .pre2
+ RedHat Linux 9.0 i386
+ RedHat Linux 8.0 i386
Net-SNMP Net-SNMP 5.0.3
Net-SNMP Net-SNMP 5.0.1
Net-SNMP Net-SNMP 5.0.5

- 不受影响的程序版本

Net-SNMP Net-SNMP 5.0.5

- 漏洞讨论

Net-SNMP is a freely available, open source implementation of the SNMP protocol. It was previously known as UCD-SNMP, and is available for the Unix and Linux operating systems.

It has been reported that under some circumstances, a Net-SNMP daemon can be forced to crash. Due to improper handling of some requests, the Net-SNMP daemon becomes unstable. This can result in the daemon crashing, requiring a manual restart to resume service.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

Users of Gentoo Linux are advised to upgrade using the following commands:

emerge rsync
emerge net-snmp
emerge clean

Fix available:


Net-SNMP Net-SNMP 5.0.1

Net-SNMP Net-SNMP 5.0.3

Net-SNMP Net-SNMP 5.0.4 .pre2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站